<template>
  <div id="app">
    <!--<div id="nav">
      <router-link to="/">Home</router-link> |
      <router-link to="/about">About</router-link>
    </div>
    <router-view/>-->
    <div class="heading">
      <h1>Play Sound</h1>
      <h4>Playing audio files with Vue.js</h4>
    </div>

    <div class="container" id="app">

      <div class="form-group">
          <el-button type="success" icon="el-icon-video-play" @click.prevent="playSound('http://soundbible.com/mp3/Air Plane Ding-SoundBible.com-496729130.mp3')">Original</el-button>
        <br><br>
          <el-button type="info" icon="el-icon-video-play" @click.prevent="playSoundA">Test</el-button>

      </div>

    </div>
  </div>
</template>

<script>
  import audio_song from './assets/when.mp3'
  export default {
    data() {
      return {
        noti_song: audio_song
      }
    },
    methods: {
      playSound (sound) {
        if(sound) {
          var audio = new Audio(sound);
          audio.play();
        }
      },
      playSoundA() {
        this.playSound(this.noti_song);
        this.$notify.info({
          title: 'Info',
          message: 'This is an info message'
        });
      }
    }
  }

</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
